Bug 1786548 - Branch request: syncthing for epel8
Summary: Branch request: syncthing for epel8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: syncthing
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-26 07:41 UTC by Gris Ge
Modified: 2020-01-30 23:30 UTC (History)
3 users (show)

Fixed In Version: syncthing-1.3.3-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-30 23:30:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Gris Ge 2019-12-26 07:41:02 UTC
Description of problem:

I managed to recompile syncthing-1.3.1-1.fc32 on CentOS 8 and it works well for
3 weeks.

Version-Release number of selected component (if applicable):
syncthing-1.3.1-1.fc32

The compile failed on syncthing-1.3.2-2.fc32, I haven't look into it yet.
Let me know if you need help on that.

Comment 1 Fabio Valentini 2019-12-30 13:34:15 UTC
Sorry for the late response.

I sadly have zero experience with packaging for EPEL / CentOS, and I don't even know if the Go stack there is up to snuff with what's required for syncthing.

You say you managed to build the SRPM from rawhide for rawhide? You mean, you took an unmodified SRPM and it built successfully on CentOS, but not on EPEL8? I'll have to investigate that, or ask the Go SIG for help.

Comment 2 Gris Ge 2020-01-14 03:12:59 UTC
With the golang-1.12.8-2.module_el8.1.0+232+26780282.x86_64 (in CentOS 8 CR repo), `rpmbuild --rebuild syncthing-1.3.3-1.fc30.src.rpm` works well.

Maybe we just wait CentOS 8.1 release, after that koji might works.

Comment 3 Gris Ge 2020-01-14 03:48:07 UTC
I built syncthing in copr(with CentOS 8 CR enabled in build system):

https://copr.fedorainfracloud.org/coprs/cathay4t/gris-misc/build/1144379/

Comment 4 Robert-André Mauchin 2020-01-14 15:27:30 UTC
(In reply to Fabio Valentini from comment #1)
> Sorry for the late response.
> 
> I sadly have zero experience with packaging for EPEL / CentOS, and I don't
> even know if the Go stack there is up to snuff with what's required for
> syncthing.
> 
> You say you managed to build the SRPM from rawhide for rawhide? You mean,
> you took an unmodified SRPM and it built successfully on CentOS, but not on
> EPEL8? I'll have to investigate that, or ask the Go SIG for help.

The Golang stack is not available in EPEL8, so no macros, no libraries, nothing. I have requested some changes from the RHEL guys to be able to import our macros: https://bugzilla.redhat.com/show_bug.cgi?id=1774139

As for syncthing, theway to do it is to build a bundled version.

Comment 5 Robert-André Mauchin 2020-01-14 16:21:47 UTC
Taking this.

Comment 6 Robert-André Mauchin 2020-01-14 16:38:27 UTC
I have pushed syncthing-1.3.3-2.el8

Comment 7 Fabio Valentini 2020-01-14 21:20:36 UTC
Hi, thanks for looking into this.

Do you know whether SOURCE_DATE_EPOCH is defined for EPEL8 builds? It's used in %build somewhere.

Comment 8 Fedora Update System 2020-01-15 01:08:45 UTC
syncthing-1.3.3-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-74aa49b408

Comment 9 Robert-André Mauchin 2020-01-20 14:15:41 UTC
(In reply to Fabio Valentini from comment #7)
> Hi, thanks for looking into this.
> 
> Do you know whether SOURCE_DATE_EPOCH is defined for EPEL8 builds? It's used
> in %build somewhere.

I have no idea.

Comment 10 Fedora Update System 2020-01-30 23:30:15 UTC
syncthing-1.3.3-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.